pandoc-citeproc-0.10.4.1: Supports using pandoc with citeproc

Copyright | (c) John MacFarlane
License | BSD-style (see LICENSE)
Maintainer | John MacFarlane <fiddlosopher@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe
Language | Haskell2010

Text.CSL.Data

Description

Synopsis

- getLocale :: String -> IO ByteString
- data CSLLocaleException
  - = CSLLocaleNotFound String
  - | CSLLocaleReadError IOException
- getDefaultCSL :: IO ByteString
- langBase :: [(String, String)]

# Documentation

getLocale :: String -> IO ByteString #

Raises `CSLLocaleException` on error.

data CSLLocaleException #

Constructors

CSLLocaleNotFound String |
CSLLocaleReadError IOException |

Instances

Show CSLLocaleException # |
Methods showsPrec :: Int -> CSLLocaleException -> ShowS # show :: CSLLocaleException -> String # showList :: [CSLLocaleException] -> ShowS #
Exception CSLLocaleException # |
Methods toException :: CSLLocaleException -> SomeException # fromException :: SomeException -> Maybe CSLLocaleException # displayException :: CSLLocaleException -> String #

getDefaultCSL :: IO ByteString #

langBase :: [(String, String)] #